/* Remove everything from the database other than orchids to export */

begin exclusive transaction;

/* Drop unneeded tables */
drop table watering;
drop table log;
drop table event;

/* Delete images unconnected to orchids */
delete from image where type != 0;

/* Zero-out watering, log, and event counts */
update version set num_watering = 0;
update version set num_logs = 0;
update version set num_events = 0;

/* Update image count */
update version set num_images = (select count(*) from image);

commit;