/* Upgrade Orchid Album database from v1 to v2 */

begin exclusive transaction;

/* Copy existing data into new tables */
create table old_orchid as select * from orchid;

/* Drop old tables */
drop table orchid;

/* Create new orchid table with new fields */
CREATE TABLE orchid (pk INTEGER PRIMARY KEY, name CHAR(200), genus CHAR(200), species CHAR(200), grex CHAR(200), cultivar CHAR(200), awards CHAR(200), synonym CHAR(200), sitalics INTEGER, hybrid1 CHAR(200), h1italics INTEGER, hybrid2 CHAR(200), h2italics INTEGER, country_origin CHAR(200), type INTEGER, in_collection BOOLEAN, flower CHAR(200), bloom_duration INTEGER, bloom_units INTEGER, fragrance CHAR(200), watering_key INTEGER, last_watered REAL, water_next REAL, fertilizer CHAR(200), plant_date REAL, source INTEGER, date_acquired REAL, purchase_price REAL, value REAL, location CHAR(200), height CHAR(200), width CHAR(200), weight CHAR(200), light CHAR(200), temperature CHAR(200), container INTEGER, medium CHAR(200), pot_size CHAR(200), pot_material INTEGER, notes CHAR(5000));

/* Copy old data back into tables */
insert into orchid (pk, name, genus, species, grex, cultivar, awards, hybrid1, hybrid2, type, in_collection, flower, bloom_duration, bloom_units, fragrance, watering_key, last_watered, water_next, plant_date, source, date_acquired, purchase_price, value, location, height, width, weight, light, temperature, container, medium, pot_size, pot_material, notes) select pk, name, genus, species, grex, cultivar, awards, hybrid1, hybrid2, type, in_collection, flower, bloom_duration, bloom_units, fragrance, watering_key, last_watered, water_next, plant_date, source, date_acquired, purchase_price, value, location, height, width, weight, light, temperature, container, medium, pot_size, pot_material, notes from old_orchid;

/* Update new italic values */
update orchid set sitalics = -1, h1italics = -1, h2italics = -1;

/* Update database version number */
update version set version_num = 2;

/* Remove temporary tables */
drop table old_orchid;

commit;
